Description

I'm experiencing that it is not possible neither to delete more than 20 folders at the same time, through the WS interface, nor to delete

an entire folder containing many sub-folders. 

Http Error number 504 is returned (504 Gateway Time-out The server didn't respond in time. ). 

Further, some sub-folders remain there but are corrupted.

I'm testing with my Dataminer->Computations folder which contains 900 items.

History

#1 - Nov 11, 2016 12:15 PM - Roberto Cirillo

@gianpaolo.coro@isti.cnr.it could you provide the path of a corrupted file, please?

#2 - Nov 11, 2016 12:23 PM - Gianpaolo Coro

Passages to repeat the issue on your WS:

Run this computation 3 times using your token for BiodiversityLab (will require 30 min)

http://dataminer1-p-d4s.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube

-token=<your token>&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclas

ses.generators.BIONYM&DataInputs=Matcher_1=GSAy;Matcher_4=TRIGRAM;Matcher_5=NONE;Matcher_2=FUZZYMATCH;Matcher_

3=LEVENSHTEIN;Threshold_1=0.6;RawTaxaNamesTable=http://data.d4science.org/TnVpOG5qeWpBZVpmcElhcUlmQUpWczFPelJu

elllTTJHbWJQNStIS0N6Yz0;Threshold_2=0.6;Accuracy_vs_Speed=MAX_ACCURACY;MaxResults_2=10;MaxResults_1=10;Thresho

ld_3=0.4;RawNamesColumn=field0;Taxa_Authority_File=FISHBASE;Parser_Name=SIMPLE;OutputTableLabel=bionymwps;MaxR

esults_4=5;Threshold_4=0.4;MaxResults_3=5;MaxResults_5=0;Threshold_5=0.2;Use_Stemmed_Genus_and_Species=false;A

ctivate_Preparsing_Processing=true;

 Try to delete the DataMiner->Computations folder in your WS

#3 - Nov 11, 2016 12:49 PM - Roberto Cirillo

I've received a 404 error at first attempt. I'm going to retry.

#4 - Nov 11, 2016 01:28 PM - Gianpaolo Coro

Using the REST interface I was able to remove the large folder, thus  I guess the timeout is at the Web interface side.

#5 - Nov 11, 2016 02:31 PM - Pasquale Pagano

- Status changed from New to In Progress

- % Done changed from 0 to 20

#6 - Nov 11, 2016 06:09 PM - Valentina Marioli

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

HTTP timeout is a well known issue for operations that require a long time.

Since you could remove the large folder using the REST interface, I'm going to close this ticket and open an enhancement ticket to improve

Workspace Portlet and Home-Library.

#8 - Nov 24, 2016 03:39 PM - Pasquale Pagano
- Target version deleted (gCube related support)
